Ruby: pm_symbol_node Struct Reference

Ruby 3.4.8p72 (2025-12-17 revision 995b59f66677d44767ce9faac6957e5543617ff9)

Data Fields
pm_symbol_node Struct Reference

SymbolNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | opening_loc
| SymbolNode#opening_loc.
pm_location_t | value_loc
| SymbolNode#value_loc.
pm_location_t | closing_loc
| SymbolNode#closing_loc.
pm_string_t | unescaped
| SymbolNode#unescaped.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

SymbolNode.

Represents a symbol literal or a symbol contained within a i list.

    :foo
    ^^^^

    %i[foo]
       ^^^

Type: ::PM_SYMBOL_NODE

Flags (#pm_symbol_flags):

- ::PM_SYMBOL_FLAGS_FORCED_UTF8_ENCODING
- ::PM_SYMBOL_FLAGS_FORCED_BINARY_ENCODING
- ::PM_SYMBOL_FLAGS_FORCED_US_ASCII_ENCODING

Definition at line 7592 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_symbol_node::base

The embedded base node.

Definition at line 7594 of file ast.h.

Referenced by pm_dump_json().

## ◆ closing_loc

pm_location_t pm_symbol_node::closing_loc

SymbolNode#closing_loc.

Definition at line 7610 of file ast.h.

Referenced by pm_dump_json().

## ◆ opening_loc

pm_location_t pm_symbol_node::opening_loc

SymbolNode#opening_loc.

Definition at line 7600 of file ast.h.

Referenced by pm_dump_json().

## ◆ unescaped

pm_string_t pm_symbol_node::unescaped

SymbolNode#unescaped.

Definition at line 7615 of file ast.h.

Referenced by pm_dump_json(), and pm_node_destroy().

## ◆ value_loc

pm_location_t pm_symbol_node::value_loc

SymbolNode#value_loc.

Definition at line 7605 of file ast.h.

Referenced by pm_dump_json().

The documentation for this struct was generated from the following file:

- prism/ast.h